## org.apache.mahout.cf.taste.impl.common
Interface LongPrimitiveIterator

All Superinterfaces:
  Iterator<Long>, SkippingIterator<Long>

All Known Implementing Classes:
  AbstractLongPrimitiveIterator, LongPrimitiveArrayIterator, SamplingLongPrimitiveIterator

    public interface LongPrimitiveIterator

extends SkippingIterator<Long>

Adds notion of iterating over `long` primitives in the style of an `Iterator` -- as opposed to iterating over `Long`. Implementations of this interface however also implement `Iterator` and `Iterable` over `Long` for convenience.

Method Summary
`long` `nextLong()`
`long` `peek()`

Methods inherited from interface org.apache.mahout.cf.taste.impl.common.SkippingIterator
`skip`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### nextLong

    long nextLong()

  Returns:
    next `long` in iteration
  Throws:
    `NoSuchElementException` - if no more elements exist in the iteration

### peek

    long peek()

  Returns:
    next `long` in iteration without advancing iteration

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.